SSH to network devices configured with different versions

Sep 24, 2014 at 9:35 AM
Edited Sep 24, 2014 at 9:36 AM
Hi,

I want to connect to the devices which are configured with differenet SSH versions i.e SSH 1.0, SSH 1.5 and SSH 2.0.
I am able to achieve this with Renci.Sshnet for 1.0 and 2.0 but it throws an error for SSH 1.5 version.
I get an exception when the below line is encountered:

sshclient.Connect()

Error: SshConnectionException was unhandled: Server version '1.5' is not supported.

Is there any way to handle this/validate the SSH 1.5 version devices.

Any help is appreciated.